# Class CustomCompilationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
gnu.jel.CompilationException
uk.ac.starlink.ttools.jel.CustomCompilationException

All Implemented Interfaces:
  `Serializable`

public class CustomCompilationException extends gnu.jel.CompilationException
Specialised subclass of JEL's CompilationException. This is provided so that new CompilationExceptions can be generated by code other than that in the JEL librarry - the constructors for the superclass are rather opaque.

Since:
  1 Nov 2008
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class gnu.jel.CompilationException

`col`

## Constructor Summary

Constructors
Constructor
Description
`CustomCompilationException(String msg)`
Constructor.
`CustomCompilationException(String msg, gnu.jel.CompilationException base)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
`String`
`getMessage()`

### Methods inherited from class gnu.jel.CompilationException

`getColumn, getParameters, getType`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CustomCompilationException

public CustomCompilationException(String msg, gnu.jel.CompilationException base)
Constructor.

Parameters:
  `msg` - message
  `base` - existing compilation exception on which this is based

### CustomCompilationException

public CustomCompilationException(String msg)
Constructor.

Parameters:
  `msg` - message

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `gnu.jel.CompilationException`

### getCause

public Throwable getCause()

Overrides:
  `getCause` in class `Throwable`